Smaily for Contact Form 7

Popis

Smaily email marketing and automation plugin for Contact Form 7.

Automatically subscribe newsletter subscribers to a Smaily subscriber list using forms created in Contact Form 7.

Features

Simple integration with Contact Form 7 elements

  • Support for multiple value checkboxes
  • Add a simple text field to form
  • Embed a hidden field with customizable values
  • Radio button support, which can handle various options

Requirements

Smaily for Contact Form 7 requires:
– PHP 5.6+ (PHP 7.0+ Recommended)
– PHP Transliterator plugin
– WordPress 4.6+
– Contact Form 7 4.0+.
– reCAPTCHA integration or Really Simple Captcha embedded into form.

Documentation & Support

Online documentation and code samples are available via our Help Center.

Contribute

All development for Smaily for Contact Form 7 is handled via GitHub. Opening new issues and submitting pull requests are welcome.

Snímky obrazovky

  • Smaily configuration for form.
  • Example form included in plugin.

Instalace

  1. Upload or extract the smaily-cf7-plugin folder to your site’s /wp-content/plugins/ directory. You can also use the Add new – option found in the Plugins – menu in WordPress.
  2. Activate the plugin from the *Plugins- menu in WordPress.

Usage

  1. Select your preferred form to link with Smaily.
  2. Click edit form and select the Smaily for Contact Form 7 tab.
  3. Insert your Smaily API authentication information to get started.
  4. Save your credentials.
  5. Pick an autoresponder for this form or leave it as it is.
  6. Click Save.
  7. Copy the shortcode to a preferred location on your website.
  8. Integrate Contact Form 7 with reCAPTCHA or add a Really Simple Captcha to form.
  9. That’s it! Your form is now integrated with Smaily Plugin!

Recenze

Pro tento plugin nejsou žádné recenze.

Autoři

Smaily for Contact Form 7 je otevřený software. Následující lidé přispěli k vývoji tohoto pluginu.

Spolupracovníci

Přehled změn

1.0.3

  • Disable pop-up when navigating out of the CF7 form editor.
  • Fix invalid status code for custom error messages.

1.0.2

  • Add translations for Estonian.

1.0.1

  • Increase minimum required WordPress version.

1.0.0

  • This is the first public release.